

try to trap an invalidation oddity.



 25-akpm/fs/buffer.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN fs/buffer.c~buffer-debug fs/buffer.c
--- 25/fs/buffer.c~buffer-debug	Tue Jul 29 12:11:59 2003
+++ 25-akpm/fs/buffer.c	Tue Jul 29 13:48:48 2003
@@ -163,6 +163,7 @@ static void buffer_io_error(struct buffe
 	printk(KERN_ERR "Buffer I/O error on device %s, logical block %Lu\n",
 			bdevname(bh->b_bdev, b),
 			(unsigned long long)bh->b_blocknr);
+	dump_stack();
 }
 
 /*
@@ -414,6 +415,9 @@ __find_get_block_slow(struct block_devic
 		bh = bh->b_this_page;
 	} while (bh != head);
 	buffer_error();
+	printk("block=%llu, b_blocknr=%llu\n",
+		(unsigned long long)block, (unsigned long long)bh->b_blocknr);
+	printk("b_state=0x%08lx, b_size=%u\n", bh->b_state, bh->b_size);
 out_unlock:
 	spin_unlock(&bd_mapping->private_lock);
 	page_cache_release(page);

_
